Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Reaction

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer
                        |
                        +--biouml.standard.type.Reaction

Direct Known Subclasses:
  Reaction

public class Reaction
extends Referrer
implements DataCollection, FormulaDelegate

Field Summary
`static DecimalFormat` | `NAME_FORMAT` Format to generate unique name for new reaction instance.

Constructor Summary
`Reaction(DataCollection origin, String name)`

Method Summary
`void` | `addDataCollectionListener(DataCollectionListener l)`
`void` | `close()`
`boolean` | `contains(String name)`
`boolean` | `contains(DataElement de)`
`DataElement` | `get(String name)`
`String` | `getCompleteName()`
`Class` | `getDataElementType()`
`String` | `getFormula()`
`DataCollectionInfo` | `getInfo()`
`KineticLaw` | `getKineticLaw()`
`List` | `getNameList()`
`int` | `getSize()`
`SpecieReference[]` | `getSpecieReferences()`
`String` | `getSpecieTitle(Integer index, Object obj)`
`String` | `getType()`
`void` | `init()`
`boolean` | `isFast()`
`boolean` | `isMutable()`
`boolean` | `isPropagationEnabled()`
`boolean` | `isReversible()`
`Iterator` | `iterator()`
`void` | `propagateElementChanged(DataCollection source, DataCollectionEvent primaryEvent)`
`void` | `propagateElementWillChange(DataCollection source, DataCollectionEvent primaryEvent)`
`DataElement` | `put(DataElement obj)`
`void` | `release(String dataElementName)`
`void` | `remove(String name)`
`void` | `removeDataCollectionListener(DataCollectionListener l)`
`void` | `setFast(boolean fast)`
`void` | `setKineticLaw(KineticLaw kineticLaw)`
`void` | `setPropagationEnabled(boolean propagationEnabled)`
`void` | `setReversible(boolean reversible)`
`void` | `setSpecieReferences(SpecieReference[] species)` Should be used only to load initial set of specie references.

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Field Detail

### NAME_FORMAT

    public static DecimalFormat NAME_FORMAT

  Format to generate unique name for new reaction instance.

Constructor Detail

### Reaction

    public Reaction(DataCollection origin, String name)

Method Detail

### addDataCollectionListener

    public void addDataCollectionListener(DataCollectionListener l)

### close

    public void close()
                throws java.lang.Exception

### contains

    public boolean contains(String name)

### contains

    public boolean contains(DataElement de)

### get

    public DataElement get(String name)
                     throws java.lang.Exception

### getCompleteName

    public String getCompleteName()

### getDataElementType

    public Class getDataElementType()

### getFormula

    public String getFormula()

### getInfo

    public DataCollectionInfo getInfo()

### getKineticLaw

    public KineticLaw getKineticLaw()

### getNameList

    public List getNameList()

### getSize

    public int getSize()

### getSpecieReferences

    public SpecieReference[] getSpecieReferences()

### getSpecieTitle

    public String getSpecieTitle(Integer index, Object obj)

### getType

    public String getType()

### init

    public void init()

### isFast

    public boolean isFast()

### isMutable

    public boolean isMutable()

### isPropagationEnabled

    public boolean isPropagationEnabled()

### isReversible

    public boolean isReversible()

### iterator

    public Iterator iterator()

### propagateElementChanged

    public void propagateElementChanged(DataCollection source, DataCollectionEvent primaryEvent)

### propagateElementWillChange

    public void propagateElementWillChange(DataCollection source, DataCollectionEvent primaryEvent)

### put

    public DataElement put(DataElement obj)
                     throws java.lang.Exception

### release

    public void release(String dataElementName)

### remove

    public void remove(String name)
                 throws java.lang.Exception

### removeDataCollectionListener

    public void removeDataCollectionListener(DataCollectionListener l)

### setFast

    public void setFast(boolean fast)

### setKineticLaw

    public void setKineticLaw(KineticLaw kineticLaw)

### setPropagationEnabled

    public void setPropagationEnabled(boolean propagationEnabled)

### setReversible

    public void setReversible(boolean reversible)

### setSpecieReferences

    public void setSpecieReferences(SpecieReference[] species)

  Should be used only to load initial set of specie references.

Association Links

to Class org.apache.log4j.Category

to Class java.text.DecimalFormat

  Format to generate unique name for new reaction instance.

to Class biouml.standard.type.KineticLaw

to Class ru.biosoft.access.VectorDataCollection

  Primary collection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM